{% extends 'base.html.twig' %}

{% block title %}Page index{% endblock %}

{% block body %}
    <h1>Page index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Content</th>
                <th>Created</th>
                <th>Modified</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for page in pages %}
            <tr>
                <td>{{ page.id }}</td>
                <td>{{ page.name }}</td>
                <td>{{ page.content }}</td>
                <td>{{ page.created ? page.created|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ page.modified ? page.modified|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('page_show', {'id': page.id}) }}">show</a>
                    <a href="{{ path('page_edit', {'id': page.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('page_new') }}">Create new</a>
{% endblock %}
